> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.synthesia.io/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.synthesia.io/docs/_mcp/server.

# Get dubbing project status and videos

GET https://api.synthesia.io/v2/dubbing/{dubbing_project_id}

Retrieve the status of a dubbing project and its dubbed videos.
**Status values:** - `uploading`: The source video is still being uploaded/processed (only for projects created via sourceVideoUrl) - `in_progress`: Dubbing is in progress - `complete`: All dubbing is complete - `error`: An error occurred during dubbing
**Response varies by status:** - UPLOADING: Returns only id and status - IN_PROGRESS/COMPLETE: Returns id, status, and dubbedAssets array - ERROR: Returns id, status, and errorCode
**Dubbed asset status:** - IN_PROGRESS: Returns minimal data (id, language, status) - COMPLETE: Returns full data including download URLs - ERROR: Returns minimal data plus errorCode

Reference: https://developers.synthesia.io/docs/video-api-reference/dubbing/get-dubbing-project-status-and-videos

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Path parameters

- `dubbing_project_id` (string, required) — UUID of the dubbing project (original imported video)

### Query parameters

- `targetLanguages` (list of string, optional) — Optional list of language codes to filter dubbed videos (e.g., es, fr, de)

## Response

### 200

Successfully retrieved dubbing project status

- `Dubbing_getDubbingProjectStatusAndVideos_Response_200`
  - GetDubbingProjectVideosResponseUploading: GetDubbingProjectVideosResponseUploading
  - GetDubbingProjectVideosResponseInProgress: GetDubbingProjectVideosResponseInProgress
  - GetDubbingProjectVideosResponseComplete: GetDubbingProjectVideosResponseComplete
  - GetDubbingProjectVideosResponseError: GetDubbingProjectVideosResponseError

## Errors

### 400 Bad Request Error

Bad Request - Invalid dubbing project.

- `error` (string, required)
- `context` (string, optional)

### 403 Forbidden Error

Forbidden - Wrong API key.

- `error` (string, required)
- `context` (string, optional)

### 404 Not Found Error

Not Found - Feature disabled or target languages not found.

- `error` (string, required)
- `context` (string, optional)

## Types

### GetDubbingProjectVideosResponseUploading

Response when dubbing project is still uploading from sourceVideoUrl.

- `id` (string, required)
- `status` (enum, optional, default: uploading) — The status of the dubbed video.
  - Allowed values: `uploading`

### GetDubbingProjectVideosResponseInProgress

Response when dubbing project is in progress.

- `id` (string, required)
- `status` (enum, optional, default: in_progress) — The status of the dubbed video.
  - Allowed values: `in_progress`
- `dubbedAssets` (list of GetDubbingProjectVideosResponseInProgressDubbedAssetsItems, optional) — The dubbed videos in the project.

### GetDubbingProjectVideosResponseComplete

Response when dubbing project is complete.

- `id` (string, required)
- `status` (enum, optional, default: complete) — The status of the dubbed video.
  - Allowed values: `complete`
- `dubbedAssets` (list of GetDubbingProjectVideosResponseCompleteDubbedAssetsItems, optional) — The dubbed videos in the project.

### GetDubbingProjectVideosResponseError

Response when dubbing project encountered an error.

- `id` (string, required)
- `errorCode` (enum, required) — Some context in case of dubbed video error.
  - Allowed values: `moderation`, `video_duration_limit_reached`, `invalid_target_language`, `processing_error`
- `status` (enum, optional, default: error) — The status of the dubbed video.
  - Allowed values: `error`

### GetDubbingProjectVideosResponseInProgressDubbedAssetsItems

- _DubbedAssetInProgress: _DubbedAssetInProgress
- _DubbedAssetComplete: _DubbedAssetComplete
- _DubbedAssetError: _DubbedAssetError

### GetDubbingProjectVideosResponseCompleteDubbedAssetsItems

- _DubbedAssetInProgress: _DubbedAssetInProgress
- _DubbedAssetComplete: _DubbedAssetComplete
- _DubbedAssetError: _DubbedAssetError

### _DubbedAssetInProgress

Dubbed asset in progress - minimal data.

- `id` (string, required)
- `language` (enum, required) — The language of the dubbed video.
  - Allowed values: `af`, `sq`, `am`, `ar`, `ar-DZ`, `ar-BH`, `ar-EG`, `ar-IQ`, `ar-JO`, `ar-KW`, `ar-LY`, `ar-MA`, `ar-QA`, `ar-SA`, `ar-SY`, `ar-TN`, `ar-AE`, `ar-YE`, `hy`, `as`, `az`, `eu`, `bn`, `bs`, `bg`, `ca`, `zh`, `zh-CN`, `zh-HK`, `zh-TW`, `hr`, `cs`, `da`, `nl`, `nl-BE`, `nl-NL`, `en`, `en-AU`, `en-CA`, `en-GB`, `en-HK`, `en-IN`, `en-IE`, `en-KE`, `en-MX`, `en-NZ`, `en-NG`, `en-PH`, `en-SG`, `en-ZA`, `en-TZ`, `en-US`, `et`, `fil`, `fi`, `fr`, `fr-BE`, `fr-CA`, `fr-FR`, `fr-CH`, `gl`, `ka`, `de`, `de-AT`, `de-DE`, `de-CH`, `el`, `gu`, `he`, `hi`, `hu`, `is`, `id`, `ga`, `it`, `ja`, `jw`, `kn`, `kk`, `km`, `ko`, `lo`, `lv`, `lt`, `mk`, `ms`, `ml`, `mt`, `mr`, `mn`, `ne`, `no`, `nb`, `nn`, `or`, `pa`, `ps`, `fa`, `pl`, `pt`, `pt-BR`, `pt-PT`, `ro`, `ru`, `sr`, `si`, `sk`, `sl`, `so`, `es`, `es-AR`, `es-BO`, `es-CL`, `es-CO`, `es-CR`, `es-CU`, `es-DO`, `es-EC`, `es-SV`, `es-GQ`, `es-GT`, `es-HN`, `es-LA`, `es-MX`, `es-NI`, `es-PA`, `es-PY`, `es-PE`, `es-PR`, `es-ES`, `es-US`, `es-UY`, `es-VE`, `su`, `sw`, `sv`, `ta`, `ta-IN`, `ta-SG`, `ta-LK`, `te`, `th`, `tr`, `uk`, `ur`, `uz`, `vi`, `cy`, `zu`
- `status` (enum, optional, default: in_progress) — The status of the dubbed video.
  - Allowed values: `in_progress`

### _DubbedAssetComplete

Dubbed asset complete - full data.

- `id` (string, required)
- `title` (string, required) — Title of the video (used on the video's share page).
- `description` (string, required) — Description of the video (used on the video's share page).
- `language` (enum, required) — The language of the dubbed video.
  - Allowed values: `af`, `sq`, `am`, `ar`, `ar-DZ`, `ar-BH`, `ar-EG`, `ar-IQ`, `ar-JO`, `ar-KW`, `ar-LY`, `ar-MA`, `ar-QA`, `ar-SA`, `ar-SY`, `ar-TN`, `ar-AE`, `ar-YE`, `hy`, `as`, `az`, `eu`, `bn`, `bs`, `bg`, `ca`, `zh`, `zh-CN`, `zh-HK`, `zh-TW`, `hr`, `cs`, `da`, `nl`, `nl-BE`, `nl-NL`, `en`, `en-AU`, `en-CA`, `en-GB`, `en-HK`, `en-IN`, `en-IE`, `en-KE`, `en-MX`, `en-NZ`, `en-NG`, `en-PH`, `en-SG`, `en-ZA`, `en-TZ`, `en-US`, `et`, `fil`, `fi`, `fr`, `fr-BE`, `fr-CA`, `fr-FR`, `fr-CH`, `gl`, `ka`, `de`, `de-AT`, `de-DE`, `de-CH`, `el`, `gu`, `he`, `hi`, `hu`, `is`, `id`, `ga`, `it`, `ja`, `jw`, `kn`, `kk`, `km`, `ko`, `lo`, `lv`, `lt`, `mk`, `ms`, `ml`, `mt`, `mr`, `mn`, `ne`, `no`, `nb`, `nn`, `or`, `pa`, `ps`, `fa`, `pl`, `pt`, `pt-BR`, `pt-PT`, `ro`, `ru`, `sr`, `si`, `sk`, `sl`, `so`, `es`, `es-AR`, `es-BO`, `es-CL`, `es-CO`, `es-CR`, `es-CU`, `es-DO`, `es-EC`, `es-SV`, `es-GQ`, `es-GT`, `es-HN`, `es-LA`, `es-MX`, `es-NI`, `es-PA`, `es-PY`, `es-PE`, `es-PR`, `es-ES`, `es-US`, `es-UY`, `es-VE`, `su`, `sw`, `sv`, `ta`, `ta-IN`, `ta-SG`, `ta-LK`, `te`, `th`, `tr`, `uk`, `ur`, `uz`, `vi`, `cy`, `zu`
- `visibility` (enum, required) — Describes the visibility settings of the video.
  - Allowed values: `public`, `private`
- `download` (string, required) — A time-limited URL which may be used to download the video.
- `thumbnail` (_DubbedAssetThumbnail, required) — A JSON object with time-limited download URLs for the video thumbnail and animated GIF thumbnail.
- `captions` (_DubbedAssetCaptions, required) — A JSON object with time-limited download URLs for the video captions in vtt and srt formats.
- `status` (enum, optional, default: complete) — The status of the dubbed video.
  - Allowed values: `complete`
- `createdAt` (integer, optional, nullable) — UNIX timestamp representing the time video was created.
- `lastUpdatedAt` (integer, optional, nullable) — UNIX timestamp representing the time video was last updated.

### _DubbedAssetError

Dubbed asset error - minimal data + error code.

- `id` (string, required)
- `language` (enum, required) — The language of the dubbed video.
  - Allowed values: `af`, `sq`, `am`, `ar`, `ar-DZ`, `ar-BH`, `ar-EG`, `ar-IQ`, `ar-JO`, `ar-KW`, `ar-LY`, `ar-MA`, `ar-QA`, `ar-SA`, `ar-SY`, `ar-TN`, `ar-AE`, `ar-YE`, `hy`, `as`, `az`, `eu`, `bn`, `bs`, `bg`, `ca`, `zh`, `zh-CN`, `zh-HK`, `zh-TW`, `hr`, `cs`, `da`, `nl`, `nl-BE`, `nl-NL`, `en`, `en-AU`, `en-CA`, `en-GB`, `en-HK`, `en-IN`, `en-IE`, `en-KE`, `en-MX`, `en-NZ`, `en-NG`, `en-PH`, `en-SG`, `en-ZA`, `en-TZ`, `en-US`, `et`, `fil`, `fi`, `fr`, `fr-BE`, `fr-CA`, `fr-FR`, `fr-CH`, `gl`, `ka`, `de`, `de-AT`, `de-DE`, `de-CH`, `el`, `gu`, `he`, `hi`, `hu`, `is`, `id`, `ga`, `it`, `ja`, `jw`, `kn`, `kk`, `km`, `ko`, `lo`, `lv`, `lt`, `mk`, `ms`, `ml`, `mt`, `mr`, `mn`, `ne`, `no`, `nb`, `nn`, `or`, `pa`, `ps`, `fa`, `pl`, `pt`, `pt-BR`, `pt-PT`, `ro`, `ru`, `sr`, `si`, `sk`, `sl`, `so`, `es`, `es-AR`, `es-BO`, `es-CL`, `es-CO`, `es-CR`, `es-CU`, `es-DO`, `es-EC`, `es-SV`, `es-GQ`, `es-GT`, `es-HN`, `es-LA`, `es-MX`, `es-NI`, `es-PA`, `es-PY`, `es-PE`, `es-PR`, `es-ES`, `es-US`, `es-UY`, `es-VE`, `su`, `sw`, `sv`, `ta`, `ta-IN`, `ta-SG`, `ta-LK`, `te`, `th`, `tr`, `uk`, `ur`, `uz`, `vi`, `cy`, `zu`
- `errorCode` (enum, required) — Some context in case of dubbed video error.
  - Allowed values: `moderation`, `video_duration_limit_reached`, `invalid_target_language`, `processing_error`
- `status` (enum, optional, default: error) — The status of the dubbed video.
  - Allowed values: `error`

### _DubbedAssetThumbnail

- `image` (string, optional, nullable) — A time-limited URL which may be used to download the video thumbnail.
- `gif` (string, optional, nullable) — A time-limited URL which may be used to download the video animated GIF thumbnail.

### _DubbedAssetCaptions

- `srt` (string, optional, nullable) — A time-limited URL which may be used to download the video captions in srt format.
- `vtt` (string, optional, nullable) — A time-limited URL which may be used to download the video captions in vtt format.

## Examples

### uploading

**Response**

```json
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "uploading"
}
```

**SDK Code**

```python uploading
import requests

url = "https://api.synthesia.io/v2/dubbing/dubbing_project_id"

querystring = {"targetLanguages":"[\"es\",\"fr\"]"}

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript uploading
const url = 'https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go uploading
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby uploading
require 'uri'
require 'net/http'

url = URI("https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java uploading
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php uploading
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp uploading
using RestSharp;

var client = new RestClient("https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift uploading
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### in_progress

**Response**

```json
{
  "dubbedAssets": [
    {
      "id": "456e7890-e89b-12d3-a456-426614174000",
      "language": "es-ES",
      "status": "in_progress"
    }
  ],
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "uploading"
}
```

**SDK Code**

```python in_progress
import requests

url = "https://api.synthesia.io/v2/dubbing/dubbing_project_id"

querystring = {"targetLanguages":"[\"es\",\"fr\"]"}

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript in_progress
const url = 'https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go in_progress
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby in_progress
require 'uri'
require 'net/http'

url = URI("https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java in_progress
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php in_progress
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp in_progress
using RestSharp;

var client = new RestClient("https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift in_progress
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### complete

**Response**

```json
{
  "dubbedAssets": [
    {
      "download": "https://...",
      "id": "456e7890-e89b-12d3-a456-426614174000",
      "language": "es-ES",
      "status": "complete",
      "title": "My Video"
    }
  ],
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "uploading"
}
```

**SDK Code**

```python complete
import requests

url = "https://api.synthesia.io/v2/dubbing/dubbing_project_id"

querystring = {"targetLanguages":"[\"es\",\"fr\"]"}

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript complete
const url = 'https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go complete
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby complete
require 'uri'
require 'net/http'

url = URI("https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java complete
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php complete
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp complete
using RestSharp;

var client = new RestClient("https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift complete
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### error

**Response**

```json
{
  "errorCode": "moderation",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "uploading"
}
```

**SDK Code**

```python error
import requests

url = "https://api.synthesia.io/v2/dubbing/dubbing_project_id"

querystring = {"targetLanguages":"[\"es\",\"fr\"]"}

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript error
const url = 'https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go error
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby error
require 'uri'
require 'net/http'

url = URI("https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java error
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php error
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp error
using RestSharp;

var client = new RestClient("https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift error
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthesia.io/v2/dubbing/dubbing_project_id?targetLanguages=%5B%22es%22%2C%22fr%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```